<?php
/* Although you really shouldn't have any code at all inside your static folder,
 * sometimes a minimal file like this one is necessary (or at least very
 * convenient) to bootstrap PHP.
 *
 * However, it should not contain any substantial code -- even the code below
 * is really too much for a file like this. You should include a file of utility
 * functions from your code/ folder so that this file can be as empty as possible.
 *
 * If you're clever with Apache, you can set things up so you don't need this
 * file at all inside static/. However, you want to still be able to access
 * static/ somewhere via your webserver (whether through a subdomain or otherwise)
 */

require '../code/h2o/h2o.php';

// You could (should) use fancy .htaccess/Apache rewrite rules to make
// clean URLs instead of the ?page= structure implied below
if (!$_GET['page']) $PageId = 'index';
else $PageId = preg_replace("/[^-a-zA-Z\/_]+/", '-', $_GET['page']);

// Some security measures to make sure they don't access system files
// Your PHP exception handler should make sure these exceptions turn into pretty
// messages for the user
if (strpos($PageId, '../') !== false) throw new Exception("Directory not allowed");
if (strpos($PageId, '/') === 0) throw new Exception("Directory not allowed");

if (($text = file_get_contents(dirname(__FILE__).'/content/'.$PageId.'.html')) === false) {
  throw new Exception('Page not found, sorry!');
}

$page = array(
  'title' => ucwords($PageId),    // Bad idea for a real site! Make sure you have proper control over the individual title tags for your pages.
  'body' => $text,
);

$h2o = new h2o('../templates/index.html');

echo $h2o->render(compact('page'));

?>
